org.gnome.gtk

## Interface Window.ConfigureEvent

- Enclosing class:
    Window

      public static interface Window.ConfigureEvent

  Event emitted when the Window's size or position changes. The `EventConfigure` object has the position and size information.

  This event will also be emitted when the Window is first mapped and when it reappears on the screen having been obscured, so don't count on the values received being different from a previous iteration.

  Note that this event signal plays a fairly crucial role in GTK internally; it is used by numerous subsystems (notably the size-request / size-allocation mechanism) to propagate that a Window had a new configuration. Do not attempt to block this signal.

  Since:
    4.0.8
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onConfigureEvent(Widget source, EventConfigure event)` Return `false`!

- - ### Method Detail

    - #### onConfigureEvent

          boolean onConfigureEvent(Widget source,
                                 EventConfigure event)

      Return `false`! Although this is an event signal with a boolean return, there is no point in attempting to block further propagation.